Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util.xml
Class MappingReader

    java.lang.Object
      org.hibernate.internal.util.xml.MappingReader

    public class MappingReader

extends Object

Handles reading mapping documents, both `hbm` and `orm` varieties.

Field Summary
`static MappingReader` | `INSTANCE`

Method Summary
`XmlDocument` | `readMappingDocument(EntityResolver entityResolver, InputSource source, Origin origin)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final MappingReader INSTANCE

Method Detail

### readMappingDocument

    public XmlDocument readMappingDocument(EntityResolver entityResolver,
                                           InputSource source,
                                           Origin origin)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.